ВходНаше всё Теги codebook PARTS Поиск Опросы Закон Четверг
29 сентября
1145083 Топик полностью
Pasa (12.11.2021 14:39, просмотров: 235) ответил User_ на Я полностью перешел на кортексы, несколько лет назад. В PIC поддержка только старых проектов, но там еще старый MPLAB и комплятор. Не знаю, как сейчас, но раньше всё через торрент во всем известном месте качалось.
Кортексы - это замечательно. Полностью согласен(чего один SWO стоит). Но вот случился казус и жэстачайшэ потребовались PIC16. Причем люди начали писать на XC8 1.33 И наверх накатили MPLABX 5.45. При инстале "снуля" MPLABX 5.45 и XC8 2.20-2.32 вылетают ошибки компиляции. А если изначально поставить XC8 1.34(полеченный) и потом XC8 2.20-2.32 - то все компилиццо. При попытке переключиться на xc8_1.34 выкатывается мол "ставьте xc8 2.20 и выше". Вот дайте тычку .... где всем 

известное место.